Bug 1007867 - Not Found error
Not Found error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 09:19 EDT by nucleo
Modified: 2016-09-19 22:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:22:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2013-09-13 09:19:03 EDT
Description of problem:
There is error "Not Found" in when opening KDE 4.11.1 update for Fedora 20 that can be found here
https://admin.fedoraproject.org/updates/search/kdelibs

Version-Release number of selected component (if applicable):
bodhi 0.9.6.1

Actual results:
Not Found

The requested URL /updates/amor-4.11.1-1.fc20,analitza-4.11.1-1.fc20,ark-4.11.1-1.fc20,audiocd-kio-4.11.1-1.fc20,blinken-4.11.1-1.fc20,bomber-4.11.1-1.fc20,bovo-4.11.1-1.fc20,cantor-4.11.1-1.fc20,cervisia-4.11.1-1.fc20,dolphin-plugins-4.11.1-1.fc20,dragon-4.11.1-1.fc20,filelight-4.11.1-1.fc20,granatier-4.11.1-1.fc20,gwenview-4.11.1-1.fc20,jovie-4.11.1-1.fc20,juk-4.11.1-1.fc20,kaccessible-4.11.1-1.fc20,kactivities-4.11.1-1.fc20,kajongg-4.11.1-1.fc20,kalgebra-4.11.1-1.fc20,kalzium-4.11.1-1.fc20,kamera-4.11.1-1.fc20,kanagram-4.11.1-1.fc20,kapman-4.11.1-1.fc20,kapptemplate-4.11.1-1.fc20,kate-4.11.1-1.fc20,katomic-4.11.1-1.fc20,kblackbox-4.11.1-1.fc20,kblocks-4.11.1-1.fc20,kbounce-4.11.1-1.fc20,kbreakout-4.11.1-1.fc20,kbruch-4.11.1-1.fc20,kcachegrind-4.11.1-1.fc20,kcalc-4.11.1-1.fc20,kcharselect-4.11.1-1.fc20,kcolorchooser-4.11.1-1.fc20,kcron-4.11.1-1.fc20,kde-base-artwork-4.11.1-1.fc20,kde-baseapps-4.11.1-1.fc20,kde-dev-scripts-4.11.1-1.fc20,kde-dev-utils-4.11.1-1.fc20,kde-l10n-4.11.1-1.fc20,kde-print-manager-4.11.1-1.fc20,kde-runtime-4.11.1-1.fc20,kde-wallpapers-4.11.1-1.fc20,kde-workspace-4.11.1-1.fc20,kdeaccessibility-4.11.1-1.fc20,kdeartwork-4.11.1-1.fc20,kdebindings-4.11.1-1.fc20,kdeedu-4.11.1-1.fc20,kdegames-4.11.1-1.fc20,kdegraphics-4.11.1-1.fc20,kdegraphics-mobipocket-4.11.1-1.fc20,kdegraphics-strigi-analyzer-4.11.1-1.fc20,kdegraphics-thumbnailers-4.11.1-1.fc20,kdelibs-4.11.1-2.fc20,kdemultimedia-4.11.1-1.fc20,kdenetwork-4.11.1-1.fc20,kdenetwork-filesharing-4.11.1-1.fc20,kdenetwork-strigi-analyzers-4.11.1-1.fc20,kdepim-4.11.1-1.fc20,kdepim-runtime-4.11.1-1.fc20,kdepimlibs-4.11.1-1.fc20,kdeplasma-addons-4.11.1-1.fc20,kdesdk-4.11.1-1.fc20,kdesdk-kioslaves-4.11.1-1.fc20,kdesdk-strigi-analyzers-4.11.1-1.fc20,kdesdk-thumbnailers-4.11.1-1.fc20,kdetoys-4.11.1-1.fc20,kdeutils-4.11.1-1.fc20,kdf-4.11.1-1.fc20,kdiamond-4.11.1-1.fc20,kdnssd-4.11.1-1.fc20,kfloppy-4.11.1-1.fc20,kfourinline-4.11.1-1.fc20,kgamma-4.11.1-1.fc20,kgeography-4.11.1-1.fc20,kget-4.11.1-1.fc20,kgoldrunner-4.11.1-1.fc20,kgpg-4.11.1-1.fc20,khangman-4.11.1-1.fc20,kig-4.11.1-1.fc20,kigo-4.11.1-1.fc20,killbots-4.11.1-1.fc20,kimono-4.11.1-1.fc20,kiriki-4.11.1-1.fc20,kiten-4.11.1-1.fc20,kjumpingcube-4.11.1-1.fc20,klettres-4.11.1-1.fc20,klickety-4.11.1-1.fc20,klines-4.11.1-1.fc20,kmag-4.11.1-1.fc20,kmahjongg-4.11.1-1.fc20,kmines-4.11.1-1.fc20,kmix-4.11.1-1.fc20,kmousetool-4.11.1-1.fc20,kmouth-4.11.1-1.fc20,kmplot-4.11.1-1.fc20,knavalbattle-4.11.1-1.fc20,knetwalk-4.11.1-1.fc20,kolf-4.11.1-1.fc20,kollision-4.11.1-1.fc20,kolourpaint-4.11.1-1.fc20,kompare-4.11.1-1.fc20,konquest-4.11.1-1.fc20,konsole-4.11.1-1.fc20,kopete-4.11.1-1.fc20,kpat-4.11.1-1.fc20,kppp-4.11.1-1.fc20,krdc-4.11.1-1.fc20,kremotecontrol-4.11.1-1.fc20,kreversi-4.11.1-1.fc20,krfb-4.11.1-1.fc20,kross-interpreters-4.11.1-1.fc20,kruler-4.11.1-1.fc20,ksaneplugin-4.11.1-1.fc20,kscd-4.11.1-1.fc20,kshisen-4.11.1-1.fc20,ksirk-4.11.1-1.fc20,ksnakeduel-4.11.1-1.fc20,ksnapshot-4.11.1-1.fc20,kspaceduel-4.11.1-1.fc20,ksquares-4.11.1-1.fc20,kstars-4.11.1-1.fc20,ksudoku-4.11.1-1.fc20,ksystemlog-4.11.1-1.fc20,kteatime-4.11.1-1.fc20,ktimer-4.11.1-1.fc20,ktouch-4.11.1-1.fc20,ktuberling-4.11.1-1.fc20,kturtle-4.11.1-1.fc20,ktux-4.11.1-1.fc20,kubrick-4.11.1-1.fc20,kuser-4.11.1-1.fc20,kwallet-4.11.1-1.fc20,kwordquiz-4.11.1-1.fc20,libkcddb-4.11.1-1.fc20,libkcompactdisc-4.11.1-1.fc20,libkdcraw-4.11.1-1.fc20,libkdeedu-4.11.1-1.fc20,libkdegames-4.11.1-1.fc20,libkexiv2-4.11.1-1.fc20,libkipi-4.11.1-1.fc20,libkmahjongg-4.11.1-1.fc20,libksane-4.11.1-1.fc20,lokalize-4.11.1-1.fc20,lskat-4.11.1-1.fc20,marble-4.11.1-1.fc20,nepomuk-core-4.11.1-1.fc20,nepomuk-widgets-4.11.1-1.fc20,okteta-4.11.1-1.fc20,okular-4.11.1-1.fc20,oxygen-icon-theme-4.11.1-1.fc20,pairs-4.11.1-1.fc20,palapeli-4.11.1-1.fc20,parley-4.11.1-1.fc20,picmi-4.11.1-1.fc20,poxml-4.11.1-1.fc20,pykde4-4.11.1-1.fc20,qyoto-4.11.1-1.fc20,rocs-4.11.1-1.fc20,ruby-korundum-4.11.1-1.fc20,ruby-qt-4.11.1-1.fc20,smokegen-4.11.1-1.fc20,smokekde-4.11.1-1.fc20,smokeqt-4.11.1-1.fc20,step-4.11.1-1.fc20,superkaramba-4.11.1-1.fc20,svgpart-4.11.1-1.fc20,sweeper-4.11.1-1.fc20,umbrello-4.11.1-1.fc20 was not found on this server.
Apache/2.2.15 (Red Hat) Server at localhost Port 10009
Comment 1 Rex Dieter 2013-09-16 12:19:07 EDT
nirik suggested on irc, to try chopping things into 2 (or more) smaller pieces. 

I'll try that for now...
Comment 2 nucleo 2013-09-16 16:41:22 EDT
Packages names can be excluded from bodhi URL?
Comment 3 Luke Macken 2013-09-16 18:44:17 EDT
This looks like a proxy issue, since the error is coming from Apache instead of bodhi/CherryPy. I confirmed that it's not because the URL is too long, since that would yield a '414 Request-URI Too Large' error.

I was able to view the update by removing all but 1 build from the URL, but the links to edit/push/delete the update are still broken.

Were you able to get things working after splitting it up into 2 updates?
If so, we'll probably have to look into apache/haproxy settings that we may need to tweak.
Comment 4 Rex Dieter 2013-09-16 19:39:39 EDT
Yes, got it submitted ok, went overboard and split into ~7 pieces
Comment 5 Jaroslav Reznik 2015-03-03 10:03:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora End Of Life 2016-07-19 06:22:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.